linters-settings:
  govet:
    shadow: true
  golint:
    min-confidence: 0
  gocyclo:
    min-complexity: 10
  maligned:
    suggest-new: true
  dupl:
    threshold: 100
  goconst:
    min-len: 2
    min-occurrences: 2
  funlen:
    lines: 100
  misspell:
    locale: US
  gocritic:
    enabled-tags:
      - diagnostic
      - performance
      - style
      - experimental
    disabled-checks:
      - wrapperFunc
  goimports:
    local-prefixes: healthcheck

linters:
  enable:
    - goimports
